import numpy as np
from matplotlib import pyplot as plt
import matplotlib as mpl

mpl.rcParams.update({'font.size':18})

deutden = np.genfromtxt('fusnrg.dat')
deutden2 = np.genfromtxt('../../run2/fusnrg.dat')
deutden3 = np.genfromtxt('../run2/fusnrg.dat')
deutden4 = np.genfromtxt('../run3/fusnrg.dat')

plt.semilogy(deutden[:,0]/1e-12,deutden[:,1],'g',lw=2.0,label = r'D1')
plt.semilogy(deutden2[:,0]/1e-12,deutden2[:,1],'r',lw=2.0,label = r'BL')
plt.semilogy(deutden3[:,0]/1e-12,deutden3[:,1],'b',lw=2.0,label = r'D2')
plt.semilogy(deutden4[:,0]/1e-12,deutden4[:,1],'k',lw=2.0,label = r'D3')
plt.xlabel(r'$t$ (ps)')
plt.ylabel(r'$U_{fus}$')
plt.grid()
plt.legend(loc = 'upper left')
plt.show()


